%define name	katoob
%define version	0.3.9
%define release	%mkrel 1
%define Summary Light weight multilingual text editor that uses gtk2
%define title	Katoob

Name:		%name
Version:	%version
Release:	%release
Summary:	%Summary
URL:		http://www.arabeyes.org/project.php?proj=Katoob
License:	GPL
Group:		Editors

# http://belnet.dl.sourceforge.net/sourceforge/arabeyes/katoob-0.3.5.tar.gz
Source:		%name-%version.tar.bz2
Source10:	%name-icons.tar.bz2
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	gtk2-devel
BuildRequires:  perl-XML-Parser

%description
Katoob is a light weight, multi lingual, BIDI-aware texteditor. It sup-
ports opening and saving files in multiple encodings. The main support
was for Arabic language but more languages are currently supported.


%prep
%setup -q
%setup -q -T -D -a10

%build
%configure --enable-spell
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%_mandir/de/man1/
mv $RPM_BUILD_ROOT%_mandir/de/*.1 $RPM_BUILD_ROOT%_mandir/de/man1/

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%name): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.png" section="Applications/Editors" \
title="%title" longtitle="%Summary"
EOF

#icons
install -D -m 644 %{name}48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{name}32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name}


%post
%{update_menus}


%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr( 0644, root, root, 755)
%doc README ChangeLog AUTHORS COPYING TODO THANKS NEWS
%{_datadir}/pixmaps/%{name}-icon.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*
%{_mandir}/man1/%{name}.1.bz2
%lang(de) %{_mandir}/de/man1/*
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%dir %{_datadir}/%{name}
%defattr( 0755, root, root, 755)
%{_bindir}/*


%changelog
* Tue May 16 2006 Lenny Cartier <lenny@mandriva.com> 0.3.9-1mdk
- 0.3.9

* Mon Nov 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.8-4mdk
- Fix BuildRequires

* Thu Oct 20 2005 Lenny Cartier <lenny@mandriva.com> 0.3.8-3mdk
- rebuild

* Tue Sep 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-2mdk
- enebale spellchecker

* Mon Aug 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-1mdk
- 0.3.8

* Thu Aug 28 2003 Han Boetes <han@linux-mandrake.com> 0.3.5-1mdk
- New release.
- Added download url to spec

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.1-3mdk
- rebuild
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install, not %%prep
- change summary macro to avoid possible conflicts if we were to build debug package
- fix gcc-3.3 build (P0)

* Fri May 23 2003 Han Boetes <han@linux-mandrake.com> 0.3.1-2mdk
- Added %dir entry to make Oliviers bot happy again.

* Sat Jan 18 2003 Han Boetes <han@linux-mandrake.com> 0.3.1-1mdk
- Bump
- Minor cleanups

* Fri Dec 27 2002 Han Boetes <han@linux-mandrake.com> 0.3-2mdk
- Rebuild because of new rpm macros and new glibc
- Applied patch from author to include errno.h

* Mon Oct  7 2002 Han Boetes <han@linux-mandrake.com> 0.3-1mdk
- Initial spec file for Mandrake 9.0
- Minor cleanups

* Sun Oct 6 2002 Michael Mohammed Sameer <Uniball@linux-egypt.org> 0.3-0mdk
- Initial spec from author.
